Returns the value of the facet.method parameter

- « SolrQuery::getFacetLimit

- SolrQuery::getFacetMinCount »

- PHP Manual
- SolrQuery
- Returns the value of the facet.method parameter

# SolrQuery::getFacetMethod

(PECL solr >= 0.9.2)

SolrQuery::getFacetMethod — Returns the value of the facet.method parameter

### Description

public SolrQuery::getFacetMethod(string `$field_override` = ?): string

Returns the value of the facet.method parameter. This accepts an optional field override.

### Parameters

`field_override`

  The name of the field

### Return Values

Returns a string on success and `null` if not set